# Class TCefPreferenceRegistrarRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPreferenceRegistrar

## Declaration

`type TCefPreferenceRegistrarRef = class(TCEFBaseScopedWrapperRef)`

## Description

Class that manages custom preference registrations.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_registrar_t))

## Hierarchy

- TObject
- TCEFBaseScopedWrapperRef
- TCefPreferenceRegistrarRef

## Overview

### Methods

| `function AddPreference(const name: ustring; const default_value: ICefValue): Boolean;`

## Description

### Methods

| `function AddPreference(const name: ustring; const default_value: ICefValue): Boolean;`
Register a preference with the specified |name| and |default_value|. To avoid conflicts with built-in preferences the |name| value should contain an application-specific prefix followed by a period (e.g. "myapp.value"). The contents of |default_value| will be copied. The data type for the preference will be inferred from |default_value|'s type and cannot be changed after registration. Returns true (1) on success. Returns false (0) if |name| is already registered or if |default_value| has an invalid type. This function must be called from within the scope of the ICefBrowserProcessHandler.OnRegisterCustomPreferences callback.

Generated by PasDoc 0.16.0-snapshot.